[![Tenacity](https://raw.githubusercontent.com/tenacityteam/assets/master/PNG/tenacity-logo-dark-readme.png)](https://tenacityaudio.org)

[![Chat on IRC](https://badgen.net/badge/irc/%23tenacity/green)](https://web.libera.chat/gamja/?channels=#tenacity)
[![License](https://badgen.net/badge/license/GPLv2/blue)](LICENSE.txt)
[![Open issues](https://badgen.net/github/open-issues/tenacityteam/tenacity)](https://github.com/tenacityteam/tenacity/issues)
[![GitHub builds](https://badgen.net/github/status/tenacityteam/tenacity)](https://github.com/tenacityteam/tenacity/actions?query=branch%3Amaster+event%3Apush)
[![builds.sr.ht](https://builds.sr.ht/~tenacity/tenacity/commits/.svg)](https://builds.sr.ht/~tenacity/tenacity/commits/?)
[![Translation status](https://hosted.weblate.org/widgets/tenacity/-/tenacity/svg-badge.svg)](https://hosted.weblate.org/engage/tenacity/)
[![Donators](https://opencollective.com/tenacity/tiers/badge.svg)](https://opencollective.com/tenacity#category-CONTRIBUTE)

Tenacity is an easy-to-use multi-track audio editor and recorder for Windows, MacOS, GNU/Linux and other operating systems. It is a fork of the widely popular [Audacity](https://audacityteam.org/) and is being developed by a wide, diverse group of volunteers.

- **Recording** from audio devices (real or virtual)
- **Export / Import** a wide range of audio formats (extensible with FFmpeg)
- **High quality** including up to 32-bit float audio support
- **Plug-ins** providing support for VST, LV2, and AU plugins
- **Scripting** in the built-in scripting language Nyquist, or in Python, Perl and other languages with named pipes
- **Editing** arbitrary sampling and multi-track timeline
- **Accessibility** including editing via keyboard, screen reader support and narration support
- **Tools** useful in the analysis of signals, including audio

## Why did this project fork [Audacity](https://audacityteam.org)?

You can find more information on the causes of the fork here:

- [**Privacy policy which may violate the original project's GPL license**](https://github.com/audacity/audacity/issues/1213)
- [**Contributor's License Agreement (CLA) which may violate the same GPL license**](https://github.com/audacity/audacity/discussions/932)
- [**Attempts at adding telemetry using Google services for data collection**](https://github.com/audacity/audacity/pull/835)

## Pre-fork Access

The latest Windows and macOS release of the pre-fork version of this repository may be available from the [Audacity website](https://www.audacityteam.org/download/).
Additionally, one may find help and/or support for the pre-fork releases at the [Audacity Forum](https://forum.audacityteam.org/).
Developers may find information for the pre-fork releases available at the [Audacity Wiki](https://wiki.audacityteam.org/wiki/For_Developers).


## Getting Started

Build instructions for Tenacity are available in the [BUILDING.md file](BUILDING.md).

## Contributing

To start contributing please read the [CONTRIBUTING.md file](CONTRIBUTING.md).

### Translation

Thank you to Weblate for providing translation SaaS hosting at [weblate.org](https://hosted.weblate.org/projects/tenacity/tenacity/).
